Fetch Order Payments Processes
1 min
GET
https://api.upstartcommerce.com/v1/order/{orderId}/payments/process
Path Parameters
- orderIdstring<uuid>requiredDescriptionFormatuuid
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- OrderPaymentProcessDef[]
- paymentIdstring<uuid>requiredDescriptionFormatuuid
- processStatesStateDef[]requiredDescription
- statestringrequired
- transitionsStateTransitionDef[]requiredDescription
- toStatestringrequired
- transitionActionstringDescription
- deprecatedbooleanDescription
- inStateActionsstring[]requiredDescription
- deprecatedbooleanDescription
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/order/{orderId}/payments/process \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/order/{orderId}/payments/process", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/order/{orderId}/payments/process")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/order/{orderId}/payments/process"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-order payments processes returned.
[
{
"paymentId": "",
"processStates": [
{
"state": "",
"transitions": [
{
"toState": "",
"transitionAction": "",
"deprecated": false
}
],
"inStateActions": [
""
],
"deprecated": false
}
]
}
]401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}